Installing php packages

The app I’m installing (ETA: on a LAMP Stack, if that wasn’t clear) requires several php packages to be installed; for instance, imagick. Using the guide for gaining root access, I thought I had successfully installed php-pecl-imagick (I used sudo yum install php-pecl-imagick and then restarted httpd), but when looking at the phpinfo() page, “imagick” only appears as an .ini file under “Additional .ini files parsed” and the package does not appear to be loaded.

Additionally, after running the above, every time I try to run another php command (for instance, php artisan [app]:install) I get the error “PHP Deprecated: Comments starting with ‘#’ are deprecated in /etc/php.ini on line 643 in Unknown on line 0”.

Anyone have any ideas for what I am doing wrong?

(I’m using imagick to troubleshoot this process; once I have it installed correctly, I’ll use the same process for others)

There may be a conflict there as a result of installing the pecl module since you actually didn’t need to do that. Here is the guide you want to use to enable modules PHP Extensions | Jelastic Dev Docs. A lot are available but commented out in php.ini by default and it’s as simple as uncommenting the necessary modules, saving php.ini, and restarting. I did that on a clean environment for imagick and it loaded the module properly so I would try that before attempting to install anything as root.

1 Like

Thank you! I got imagick (and a number of others) working correctly, but I think my application may require some other modules that aren’t available via this process.

But the reason I’m responding is, I received an error in php_errors.log after trying to enable wddx:

[08-Jul-2020 22:26:42 UTC] PHP Warning: PHP Startup: Unable to load dynamic library ‘wddx.so’ (tried: /usr/lib64/php/modules/wddx.so (/usr/lib64/php/modules/wddx.so: cannot open shared object file: No such file or directory), /usr/lib64/php/modules/wddx.so.so (/usr/lib64/php/modules/wddx.so.so: cannot open shared object file: No such file or directory)) in Unknown on line 0

The module never showed up in my phpinfo() page.

wddx appears to have been removed from PHP 7.4 entirely PHP: Introduction - Manual. I redeployed your environment as PHP 7.3 and the extension properly appears.

Screen Shot 2020-07-09 at 8.24.51 AM

Screen Shot 2020-07-09 at 8.24.59 AM